<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
      rel="stylesheet"
    />
    <!-- reset css -->
    <link rel="stylesheet" href="./assets/css/_reset.css" />
    <!-- style.css -->
    <link rel="stylesheet" href="./assets/css/style.css" />
  </head>
  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="card-body p-0">
          <div class="row">
            <div
              class="col-12 col-md-4 col-lg-3 col-xl-2 nav flex-column nav-tabs nav-pills nav-bai-tap"
              id="v-pills-tab"
              role="tablist"
              aria-orientation="vertical"
            >
              <a
                class="nav-link mb-2 active"
                id="v-pills-bai-1-tab"
                data-toggle="pill"
                href="#v-pills-bai-1"
                role="tab"
                aria-controls="v-pills-bai-1"
                aria-selected="true"
                >Bài 1</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-2-tab"
                data-toggle="pill"
                href="#v-pills-bai-2"
                role="tab"
                aria-controls="v-pills-bai-2"
                aria-selected="false"
                >Bài 2</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-3-tab"
                data-toggle="pill"
                href="#v-pills-bai-3"
                role="tab"
                aria-controls="v-pills-bai-3"
                aria-selected="false"
                >Bài 3</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-4-tab"
                data-toggle="pill"
                href="#v-pills-bai-4"
                role="tab"
                aria-controls="v-pills-bai-4"
                aria-selected="false"
                >Bài 4</a
              >
            </div>
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active bai-tap-1"
                id="v-pills-bai-1"
                role="tabpanel"
                aria-labelledby="v-pills-bai-1-tab"
              >
                <h5 class="card-title">🏫 Quản lý tuyển sinh</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <div class="px-3">
                      <ul>
                        <li>
                          Điểm chuẩn của hội đồng các bạn tự nhập thêm. Điểm
                          chuẩn của 3 môn thường tối đa 30đ. Nên có thể lấy các
                          điểm chuẩn như sau: 30,25,29
                        </li>
                        <li>
                          Ô nhập khu vực, đối tượng có thể tạo bằng input,
                          dropdown hoặc radio. Nếu không thuộc khu vực hoặc đối
                          tượng trong danh sách thì điểm khu vực và điểm đối
                          tượng sẽ là 0
                        </li>
                        <li>
                          Nếu có 1 trong 3 môn bị điểm 0 thì lặp tức cho rớt
                          không cần kiểm tra tổng điểm có lớn hơn hoặc bằng điểm
                          chuẩn hay không
                        </li>
                      </ul>
                    </div>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >

                    <div class="col-12 col-md-4 col-lg-4">
                      <input
                        type="number"
                        class="form-control form__input benchmark"
                        name="benchmark"
                        id="benchmark"
                        placeholder="Điểm chuẩn"
                      />
                    </div>
                    <div class="col-12 col-md-4 col-lg-4">
                      <select class="custom-select location-type form-control form__input">
                        <option selected value="0">Chọn khu vực</option>
                        <option value="2">A</option>
                        <option value="1">B</option>
                        <option value="0.5">C</option>
                      </select>
                    </div>
                    <div class="col-12 col-md-4 col-lg-4">
                      <select class="custom-select student-type form-control form__input">
                        <option selected value="0">Chọn đối tượng</option>
                        <option value="2.5">1</option>
                        <option value="1.5">2</option>
                        <option value="1">3</option>
                      </select>
                    </div>

                    <div class="col-12 col-md-4">
                      <input
                        type="text"
                        class="form-control form__input num-1"
                        name="num-1"
                        id="num-1"
                        placeholder="Điểm môn thứ 1"
                      />
                    </div>
                    <div class="col-12 col-md-4">
                      <input
                        type="text"
                        class="form-control form__input num-2"
                        name="num-2"
                        id="num-2"
                        placeholder="Điểm môn thứ 2"
                      />
                    </div>
                    <div class="col-12 col-md-4">
                      <input
                        type="text"
                        class="form-control form__input num-3"
                        name="num-3"
                        id="num-3"
                        placeholder="Điểm môn thứ 3"
                      />
                    </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-1"
                      id="btn-calc-bai-1"
                      data-target="bai-1"
                      class="btn rounded-pill btn-calc btn-calc-bai-1 mr-1 mb-1"
                    >
                      Kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-1"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-2"
                id="v-pills-bai-2"
                role="tabpanel"
                aria-labelledby="v-pills-bai-2-tab"
              >
                <h5 class="card-title">🔋 Tính tiền điện</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <div class="px-3">
                      <img
                        src="https://cdn.jsdelivr.net/gh/khloe1425/BaiTapIfElse@master/img/carbon%20(2).png"
                        alt=""
                        class="w-50"
                      />
                    </div>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-md-4 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input user_name"
                      name="user_name"
                      id="user_name"
                      placeholder="Nhập họ tên"
                    />
                  </div>
                  <div class="col-12 col-md-4 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input electricity_number"
                      name="electricity_number"
                      id="electricity_number"
                      placeholder="Nhập số kw"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-2"
                      id="btn-calc-bai-2"
                      data-target="bai-2"
                      class="btn rounded-pill btn-calc btn-calc-bai-2 mr-1 mb-1"
                    >
                      Tính tiền điện
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-2"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-3"
                id="v-pills-bai-3"
                role="tabpanel"
                aria-labelledby="v-pills-bai-3-tab"
              >
                <h5 class="card-title">💰 Tính thuế thu nhập cá nhân</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <ul>
                      <li>Tổng thu nhập năm các bạn tự nhập thêm. Giả sử 1 tháng thu nhập 10tr thì 1 năm sẽ là 10 x 12 = 120tr => các bạn sẽ nhập 120000000</li>
                      <li>
                        Demo hiện tại đang tính % thuế theo điều kiện mà thu nhập chịu thuế rơi vào. Vd: thu nhập chịu thuế là 110tr thì tính 10% của 110tr => 110tr * 0.1
                      </li>
                      <li>
                        Do đề bài không ghi rõ yêu cầu tính thuế nên cũng có thể tính theo cách chia ra từng đoạn thuế giống bài tính tiền grab. Vd: 110tr => 60tr *0.05 + (110tr-60tr) * 0.1
                      </li>
                      <li>
                        Sử dụng input có type number thì khi nhập 120000000, có thể nhập ngắn gọn thành 120e+6
                      </li>
                      <li>
                        Đối với các con số hàng triệu có nhiều số 0, có thể viết ngắn gọn trong code như sau:
                        4tr => 4000000 => 4e+6
                      </li>
                      <li>
                        Dùng NumberFormat để số tiền hiển thị đẹp hơn: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat">NumberFormat</a>
                      </li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input input_name"
                      name="input_name"
                      id="input_name"
                      placeholder="Nhập họ tên"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input annual_income"
                      name="annual_income"
                      id="annual_income"
                      placeholder="Tổng thu nhập năm"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input num_family_members"
                      name="num_family_members"
                      id="num_family_members"
                      placeholder="Số người phụ thuộc"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-3"
                      id="btn-calc-bai-3"
                      data-target="bai-3"
                      class="btn rounded-pill btn-calc btn-calc-bai-3 mr-1 mb-1"
                    >
                      Tính tiền thuế
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-3"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-4"
                id="v-pills-bai-4"
                role="tabpanel"
                aria-labelledby="v-pills-bai-4-tab"
              >
                <h5 class="card-title">🕸️ Tính tiền cáp</h5>
                <div class="info-box">
                  <p>
                    <b>
                      📝Note: Chỉ cần xác định các loại tam giác cơ bản (vuông,
                      đều, cân), các tam giác còn lại xếp loại là tam giác
                      khác</b
                    >
                    <br />
                    <b>💡Gợi ý:</b>
                  </p>
                  <details>
                    <summary>
                      Mở rộng để xem thêm
                    </summary>
                    <ul>
                      <li>Sử dụng event onchange của dropdown để xử lý ẩn hiện cho ô nhập số kết nối khi chọn loại khách hàng: 
                        <a href="#">Onchange</a>
                      </li>
                      <li>Đối với loại khách hàng Doanh Nghiệp, tổng 10 kết nối đầu là 75$
                        <br>
                        => đây là giá trọn gói, nếu doanh nghiệp lắp đặt số kết nối nhỏ hơn 10 thì vẫn phải đóng 75$.
                        <br>
                        Vd: 6 kết nối thì vẫn sẽ cộng 75$ vào tổng tiền.
                        <br>
                        => Nếu lắp trên 10 kết nối thì kết nối thứ 11 trở đi sẽ tính 5$/kết nối.</li>
                    </ul>
                  </details>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12 col-lg-4">
                    <select class="custom-select form-control form__input customer-type">
                      <option selected value="0">Chọn loại khách hàng</option>
                      <option value="1">Nhà Dân</option>
                      <option value="2">Doanh nghiệp</option>
                    </select>
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="text"
                      class="form-control form__input customer-id"
                      name="customer-id"
                      id="customer-id"
                      placeholder="Nhập mã khách hàng"
                    />
                  </div>
                  <div class="col-12 col-lg-4">
                    <input
                      type="number"
                      class="form-control form__input numb-private-channels"
                      name="numb-private-channels"
                      id="numb-private-channels"
                      placeholder="Số kênh cao cấp"
                    />
                  </div>
                  <div class="col-12 col-lg-4 numb-channels-wrapper">
                    <input
                      type="number"
                      class="form-control form__input numb-channels"
                      name="numb-channels"
                      id="numb-channels"
                      placeholder="Số kết nối"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-4"
                      id="btn-calc-bai-4"
                      data-target="bai-4"
                      class="btn rounded-pill btn-calc btn-calc-bai-4 mr-1 mb-1"
                    >
                      Tính tiền cáp
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-4"></span>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./assets/js/index.js"></script>
  </body>
</html>
